package rule;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class PermanentSlideDefault extends Rule {

	public PermanentSlideDefault(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return true;
	}

	@Override
	public void execute() {
		gameState.getCommandCenter().commandCall("2 1 4 _ B");
	}

	@Override
	public int getPriority() {
		return 100;
	}

}
