package rule;

import enumerate.State;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class Uppercut extends Rule {

	public Uppercut(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return (gameState.getCommandCenter().getDistanceX() < 250)
				&& (gameState.getMyCharacterData().getState() != State.AIR);
	}

	@Override
	public void execute() {
		gameState.getCommandCenter().commandCall("STAND_F_D_DFA");
	}

	@Override
	public int getPriority() {
		return 3;
	}
}
