import enumerate.Action;
import fighting.Motion;
import gameInterface.AIInterface;
import structs.CharacterData;
import structs.FrameData;
import structs.GameData;
import structs.Key;
import structs.MotionData;

import commandcenter.CommandCenter;

/**
 * @author Phakhawat Sarakit Fight Game AI Competition 2014 Category 1 T1c
 * 
 *         Create at 19/8/2014 if you have question feel free ask me i really
 *         appreciate. contact me at email: toonja1990@hotmail.com facebook
 *         https://www.facebook.com/toonja20th
 */
public class T1c implements AIInterface {
	// my note skills.
	// cc.commandCall("2 1 4 _ B");STAND_D_DB_BB//slide
	// cc.commandCall("2 1 4 _ A");STAND_D_DB_BA//jump elbow
	// cc.commandCall("6 2 3 _ B");STAND_F_D_DFB//jump knee
	// cc.commandCall("6 2 3 _ A");STAND_F_D_DFA// upper cut
	// 2 3 6_A fireball STAND_D_DF_FA
	// 2 3 6_B fireball up STAND_D_DF_FB
	// 2 3 6 _ C super fireball STAND_D_DF_FC

	// left side state = -170
	// right side state = 710
	GameData gd;
	Key inputKey;
	boolean playerNumber;
	FrameData frameData;
	CommandCenter cc;
	CharacterData characterdata;
	CharacterData characterdata2;
	

	@Override
	public synchronized int initialize(GameData gameData, boolean playerNumber) {
		gd = gameData;
		this.playerNumber = playerNumber;
		this.inputKey = new Key();
		cc = new CommandCenter();
		frameData = new FrameData();

		return 0;

	}

	@Override
	public synchronized void getInformation(FrameData frameData) {
		this.frameData = frameData;

		cc.setFrameData(this.frameData, playerNumber);

	}

	@Override
	public synchronized void processing() {

		if (!frameData.emptyFlag && frameData.getRemainingTime() > 0) {
			characterdata2=cc.getEnemyCharacter();
			characterdata=cc.getMyCharacter();
			
			int posx=characterdata.getX();
			int posx2=characterdata2.getX();
			if (cc.getskillFlag()) {

				inputKey = cc.getSkillKey();

			} else {
				inputKey.empty();
				cc.skillCancel();
				if (!cc.getEnemyCharacter().getState().name().equals("AIR")
						&& cc.getDistanceX() < 110) {
					cc.commandCall("4 _ B");// trow

				}
				// combo with thow
				else if (cc.getEnemyCharacter().getAction().name()
						.equals("THROW_SUFFER")) {
					cc.commandCall("6 2 3 _ A");// upper cut
				}
				// couter jump1
				else if (cc.getEnemyCharacter().getAction().name()
						.startsWith("AIR")
						&& cc.getDistanceX() < 150) {
					cc.commandCall("6 2 3 _ A");// upper cut
				}
				// couter jump2
				else if (cc.getEnemyCharacter().getAction().name()
						.startsWith("AIR")
						&& cc.getDistanceX() < 300 && cc.getDistanceX() > 150) {
					cc.commandCall("6 2 3 _ B");// jump knee
				}
				// counter jump elbow
				else if (cc.getEnemyCharacter().getAction().name()
						.equals("STAND_D_DB_BA")
						&& cc.getDistanceX() < 300) {
					cc.commandCall("6 2 3 _ B");// jump knee
				}
				// couter fireball
				else if (cc.getEnemyCharacter().getAction().name()
						.startsWith("STAND_D_DF_")
						&& !cc.getMyCharacter().getState().name()
								.equals("DOWN")) {
					cc.commandCall("2 1 4 _ B");// slide
				}
				// shoot super fireball
				else if (cc.getMyEnergy() > 300&& !cc.getEnemyCharacter().getAction().name()
						.equals("STAND_D_DB_BB")) {
					cc.commandCall("2 3 6 _ C");
				}
			
				

				// couter slide attack
				else if (cc.getEnemyCharacter().getAction().name()
						.equals("STAND_D_DB_BB")) {
					cc.commandCall("FOR_JUMP");
				
				}
				
				else if (cc.getMyCharacter().getState().name().equals("AIR")) {
					cc.commandCall("AIR_DB");
				}
			
				else if (cc.getDistanceX() < 420) {
					cc.commandCall("STAND_D_DB_BB");

				}	
				//automatic move
				else if(posx>posx2){
				inputKey.L =true;
				}
				else
				{
				inputKey.R =true;
				}

			}
		}
	}

	@Override
	public synchronized Key input() {
		// TODO Auto-generated method stub
		return inputKey;
	}

	@Override
	public synchronized void close() {

		// TODO Auto-generated method stub

	}

	@Override
	public String getCharacter() {
		// TODO Auto-generated method stub
		return CHARACTER_KFM;
	}

}
